Name:          xmlbeans-maven-plugin
Version:       2.3.3
Release:       %mkrel 6
Group:         Development/Java
Summary:       Maven XML Beans Plugin
License:       ASL 2.0
Url:           http://mojo.codehaus.org/xmlbeans-maven-plugin/
# svn export https://svn.codehaus.org/mojo/tags/xmlbeans-maven-plugin-2.3.3
# tar cJf xmlbeans-maven-plugin-2.3.3.tar.xz xmlbeans-maven-plugin-2.3.3
Source0:       %{name}-%{version}.tar.xz
# xmlbeans-maven-plugin package don't include the license file
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(org.apache.maven:maven-artifact)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-model)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.xmlbeans:xmlbeans)
BuildRequires: mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)
BuildRequires: mvn(stax:stax-api)
BuildRequires: mvn(xml-resolver:xml-resolver)

BuildArch:     noarch

%description
Maven XML Beans Plugin provides integration of the
Apache XML Beans for Maven. Runs the xmlbeans
parser/code generator against schemes in files and
dependent jars.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

# these test fails
# [INFO] XMLBeans discrete xsd's in a jar test for MXMLBEANS-21  FAILURE [0.665s]
# Caused by: org.sonatype.aether.transfer.ArtifactNotFoundException: 
# Could not find artifact org.codehaus.mojo:xmlbeans-maven-plugin:pom:latest
# in local.central (file:///..../BUILD/xmlbeans-maven-plugin-2.3.3/.m2)
rm -r src/it/mxmlbeans-21/*

%pom_remove_dep org.apache.maven:maven-project
%pom_add_dep org.apache.maven:maven-core:any:compile

%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :jdepend-maven-plugin
rm -r pom.xml.orig

%mvn_file : %{name}

%build

%mvn_build -- -Dmojo.java.target=1.5

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 2.3.3-6.mga6
+ Revision: 978233
- First rebuild of the java stack
- sync package xmlbeans-maven-plugin with fedora
- imported package xmlbeans-maven-plugin

* Thu Dec 25 2014 dmorgan <dmorgan> 2.3.3-3.mga5
+ Revision: 805987
- imported package xmlbeans-maven-plugin


